from Products.Archetypes.public import BaseFolder, registerType
from Products.Archetypes.atapi import *
from Products.SimpleFolder.config import PROJECTNAME


class SimpleFolder(BaseFolder):
    "A folder to put simple things in."
    allowed_content_types = ('SimpleThing')
    filter_content_types = 1
    _at_rename_after_creation = True

registerType(SimpleFolder, PROJECTNAME)


class SimpleThing(BaseContent):
    """An Archetype for simple things (only allowed in simple folders)"""
    _at_rename_after_creation = True
    global_allow = 0

registerType(SimpleThing, PROJECTNAME)
